<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Form;

use Dedi\SyliusBlogPlugin\Entity\ArticleTranslation;
use FOS\CKEditorBundle\Form\Type\CKEditorType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ArticleTranslationType extends AbstractReferableTranslationType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        parent::buildForm($builder, $options);

        $builder
            ->add('title', TextType::class, [
                'label' => 'dedi_blog.form.article.title',
            ])
            ->add('slug', TextType::class, [
                'label' => 'dedi_blog.form.article.slug',
                'required' => false,
            ])
            ->add('description', TextareaType::class, [
                'label' => 'dedi_blog.form.article.description',
                'required' => false,
            ])
            ->add('content', CKEditorType::class, [
                'label' => 'dedi_blog.form.article.content',
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => ArticleTranslation::class,
            'validation_groups' => ['default', 'sylius'],
        ]);
    }
}
